VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PipelineRasterizationStateRasterizationOrderAMD (RasterizationOrderAMD rasterizationOrder_=RasterizationOrderAMD::eStrict)
| PipelineRasterizationStateRasterizationOrderAMD (VkPipelineRasterizationStateRasterizationOrderAMD const &rhs)
PipelineRasterizationStateRasterizationOrderAMD & | operator= (VkPipelineRasterizationStateRasterizationOrderAMD const &rhs)
PipelineRasterizationStateRasterizationOrderAMD & | setPNext (const void *pNext_)
PipelineRasterizationStateRasterizationOrderAMD & | setRasterizationOrder (RasterizationOrderAMD rasterizationOrder_)
| operator VkPipelineRasterizationStateRasterizationOrderAMD const & () const
| operator VkPipelineRasterizationStateRasterizationOrderAMD & ()
bool | operator== (PipelineRasterizationStateRasterizationOrderAMD const &rhs) const
bool | operator!= (PipelineRasterizationStateRasterizationOrderAMD const &rhs) const

## Data Fields

const void * | pNext = nullptr
RasterizationOrderAMD | rasterizationOrder

## Private Attributes

StructureType | sType = StructureType::ePipelineRasterizationStateRasterizationOrderAMD

## Detailed Description

Definition at line 30030 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineRasterizationStateRasterizationOrderAMD() [1/2]

VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::PipelineRasterizationStateRasterizationOrderAMD | ( | RasterizationOrderAMD | rasterizationOrder_ = `RasterizationOrderAMD::eStrict` | ) |

inline

Definition at line 30032 of file vulkan.hpp.

: rasterizationOrder( rasterizationOrder_ )
{
}

## PipelineRasterizationStateRasterizationOrderAMD() [2/2]

VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::PipelineRasterizationStateRasterizationOrderAMD | ( | VkPipelineRasterizationStateRasterizationOrderAMD const & | rhs | ) |

inline

Definition at line 30037 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineRasterizationStateRasterizationOrderAMD ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineRasterizationStateRasterizationOrderAMD &()

VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::operator VkPipelineRasterizationStateRasterizationOrderAMD & | ( |  | ) |

inline

Definition at line 30064 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineRasterizationStateRasterizationOrderAMD*>(this);
}

## operator VkPipelineRasterizationStateRasterizationOrderAMD const &()

VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::operator VkPipelineRasterizationStateRasterizationOrderAMD const & | ( |  | ) | const

inline

Definition at line 30059 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineRasterizationStateRasterizationOrderAMD*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::operator!= | ( | PipelineRasterizationStateRasterizationOrderAMD const & | rhs | ) | const

inline

Definition at line 30076 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineRasterizationStateRasterizationOrderAMD& VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::operator= | ( | VkPipelineRasterizationStateRasterizationOrderAMD const & | rhs | ) |

inline

Definition at line 30042 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineRasterizationStateRasterizationOrderAMD ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::operator== | ( | PipelineRasterizationStateRasterizationOrderAMD const & | rhs | ) | const

inline

Definition at line 30069 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( rasterizationOrder == rhs.rasterizationOrder );
}

References pNext, rasterizationOrder, and sType.

Referenced by operator!=().

## setPNext()

PipelineRasterizationStateRasterizationOrderAMD& VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 30047 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setRasterizationOrder()

PipelineRasterizationStateRasterizationOrderAMD& VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::setRasterizationOrder | ( | RasterizationOrderAMD | rasterizationOrder_ | ) |

inline

Definition at line 30053 of file vulkan.hpp.

{
rasterizationOrder = rasterizationOrder_;
return *this;
}

References rasterizationOrder.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::pNext = nullptr

Definition at line 30085 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## rasterizationOrder

RasterizationOrderAMD VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::rasterizationOrder

Definition at line 30086 of file vulkan.hpp.

Referenced by operator==(), and setRasterizationOrder().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::sType = StructureType::ePipelineRasterizationStateRasterizationOrderAMD

private

Definition at line 30082 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::operator==
bool operator==(PipelineRasterizationStateRasterizationOrderAMD const &rhs) const
Definition: vulkan.hpp:30069
VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::sType
StructureType sType
Definition: vulkan.hpp:30082
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPipelineRasterizationStateRasterizationOrderAMD
Definition: vulkan_core.h:6282
VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::pNext
const void * pNext
Definition: vulkan.hpp:30085
VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::rasterizationOrder
RasterizationOrderAMD rasterizationOrder
Definition: vulkan.hpp:30086
VULKAN_HPP_NAMESPACE::PipelineRasterizationStateRasterizationOrderAMD::PipelineRasterizationStateRasterizationOrderAMD
PipelineRasterizationStateRasterizationOrderAMD(RasterizationOrderAMD rasterizationOrder_=RasterizationOrderAMD::eStrict)
Definition: vulkan.hpp:30032